Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.compara.datamodel
Interface Homology

All Superinterfaces:
  Persistent, java.io.Serializable

public interface Homology
extends Persistent

I represent a single species which is part of the compara- analyses.

Method Summary
`java.lang.String` | `getDescription()`
`double` | `getDn()`
`double` | `getDs()`
`double` | `getLnl()`
`long` | `getMethodLinkSpeciesSetId()`
`double` | `getN()`
`double` | `getS()`
`java.lang.String` | `getStableId()`
`java.lang.String` | `getSubtype()`
`double` | `getThresholdOnDs()`
`void` | `setDescription(java.lang.String _description)`
`void` | `setDn(double _dn)`
`void` | `setDs(double _ds)`
`void` | `setLnl(double _lnl)`
`void` | `setMethodLinkSpeciesSetId(long _methodLinkSpeciesSetId)`
`void` | `setN(double _n)`
`void` | `setS(double _s)`
`void` | `setStableId(java.lang.String _stable_id)`
`void` | `setSubtype(java.lang.String _subtype)`
`void` | `setThresholdOnDs(double _thresholdOnDs)`

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Method Detail

### getStableId

    public java.lang.String getStableId()

### setStableId

    public void setStableId(java.lang.String _stable_id)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String _description)

### getMethodLinkSpeciesSetId

    public long getMethodLinkSpeciesSetId()

### setMethodLinkSpeciesSetId

    public void setMethodLinkSpeciesSetId(long _methodLinkSpeciesSetId)

### getSubtype

    public java.lang.String getSubtype()

### setSubtype

    public void setSubtype(java.lang.String _subtype)

### getDn

    public double getDn()

### setDn

    public void setDn(double _dn)

### getDs

    public double getDs()

### setDs

    public void setDs(double _ds)

### getN

    public double getN()

### setN

    public void setN(double _n)

### getS

    public double getS()

### setS

    public void setS(double _s)

### getLnl

    public double getLnl()

### setLnl

    public void setLnl(double _lnl)

### getThresholdOnDs

    public double getThresholdOnDs()

### setThresholdOnDs

    public void setThresholdOnDs(double _thresholdOnDs)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD